IMG_SaveJPG_IO(3)

NAME
IMG_SaveJPG_IO - Save an SDL_Surface into JPEG image data, via an SDL_IOStream.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_SaveJPG_IO(SDL_Surface *surface, SDL_IOStream *dst, bool closeio, int quality);

DESCRIPTION
If you just want to save to a filename, you can use IMG_SaveJPG() instead.

If closeio is true, dst will be closed before returning, whether this function succeeds or not.

FUNCTION PARAMETERS

surface
    the SDL surface to save.

dst the SDL_IOStream to save the image data to.

closeio
    true to close/free the SDL_IOStream before returning, false to leave it open.

quality
    [0; 33] is Lowest quality, [34; 66] is Middle quality, [67; 100] is Highest quality.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_SaveJPG(3)